-- [C6MartPeriodico].[PL_S80Alternativa]'S','CRBRNN54R23H509R'
 --[C6MartPeriodico].[PL_S80Alternativa] 'F','BRCLRT62R29I690L'
CREATE   procedure [C6MartPeriodico].[PL_S80Alternativa] --'F','BNBLPL51M05F965Y'
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
    DECLARE @MONIT_ATTIV INT
	DECLARE @MONIT_INIT INT
    SET  @MONIT_ATTIV=0
	SET  @MONIT_INIT = 0
   -- INSERIMENTO BLOCCO PER MONITORAGGIO CHIUSO O NON ESISTENTE
    SELECT @MONIT_ATTIV=COUNT(*)
    FROM 
		C6MARTPERIODICO.MONITORAGGIO_ATTUALE
    WHERE
		RETE = @Rete AND
		COD_FISCALE = @CodiceFiscale
	SELECT @MONIT_INIT = COUNT(*)
	FROM
	C6MARTPERIODICO.MONITORAGGIO_INIZIALE
	WHERE 
    		RETE = @Rete AND
		    COD_FISCALE = @CodiceFiscale    
IF (@MONIT_ATTIV > 0 AND @MONIT_INIT > 0)
BEGIN
SELECT [RETE]
      ,[Cod_Fiscale] 
      ,[Fase]
      ,[DataFase]
      ,[Partita_viaggiante]
      ,[CTV_EXT]
      ,[CTV_INV]
      ,[CTV_PRE]
      ,[CTV_RIS]
      ,[CTV_LIQ]
      ,[RisorseAllocate]
      ,[RisorseNonAllocate]
      ,[RisorseFinanziarie]
      ,[Contocorrente]
      ,[ctvself]
      ,[TotalePatrimonio]
      ,replace([DettMovS80],'.',',')  DettMov
      ,[NumeroAsterischiNota]
	  -- MIOFOGLIO 2018106
      ,[CTVSelfFoglio]
	  -- fine MIOFOGLIO 20181206
  FROM [C6MartPeriodico].[TB_S80_S129_EvoluzioneCTVPatrimonio]
  WHERE	[Rete] 		= @Rete 
  AND	[Cod_Fiscale] = @CodiceFiscale
END
ELSE
BEGIN
SELECT [RETE]
      ,[Cod_Fiscale] 
      ,[Fase]
      ,[DataFase]
      ,[Partita_viaggiante]
      ,[CTV_EXT]
      ,[CTV_INV]
      ,[CTV_PRE]
      ,[CTV_RIS]
      ,[CTV_LIQ]
      ,[RisorseAllocate]
      ,[RisorseNonAllocate]
      ,[RisorseFinanziarie]
      ,[Contocorrente]
      ,[ctvself]
      ,[TotalePatrimonio]
      ,[DettMovS80] DettMov
      ,[NumeroAsterischiNota]
	  -- MIOFOGLIO 2018106
      ,[CTVSelfFoglio]
	  -- fine MIOFOGLIO 20181206
  FROM [C6MartPeriodico].[TB_S80_S129_EvoluzioneCTVPatrimonio]
	WHERE
		1=2
END
END